Summary: A TLS implementation.
Name: gnutls
Version: 1.0.20
Release: 4%{?dist}.7
License: LGPL
Group: System Environment/Libraries
BuildPrereq: libgcrypt-devel
#BuildPrereq: libtasn1-devel
#BuildPrereq: opencdk-devel
URL: http://www.gnutls.org/
#Source0: ftp://ftp.gnutls.org/pub/gnutls/devel/%{name}-%{version}.tar.gz
#Source1: ftp://ftp.gnutls.org/pub/gnutls/devel/%{name}-%{version}.tar.gz.sig
# XXX patent tainted SRP code removed.
Source0: %{name}-%{version}-nosrp.tar.gz
Patch0: gnutls-1.0.20-nosrp.patch
Patch1: gnutls-1.0.20-can-2005-1431.patch
Patch2: gnutls-1.0.20-tls.patch
Patch3: gnutls-1.0.20-cve-2006-4790.patch
Patch4: gnutls-1.0.20-sa-2008-1.patch
Patch5: gnutls-1.0.20-cve-2009-2730.patch
Patch6: gnutls-1.0.20-cve-2009-3555.patch
Patch7: gnutls-1.0.20-tolerant-client.patch
Patch8: gnutls-1.0.20-test-64bit.patch
BuildRoot: %{_tmppath}/%{name}-root

%package devel
Summary: Development files for the %{name} package.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgcrypt-devel
Requires: zlib-devel

%description
GnuTLS is a project that aims to develop a library which provides a secure 
layer, over a reliable transport layer. Currently the GnuTLS library implements
the proposed standards by the IETF's TLS working group.

%description devel
GnuTLS is a project that aims to develop a library which provides a secure
layer, over a reliable transport layer. Currently the GnuTLS library implements
the proposed standards by the IETF's TLS working group.
This package contains files needed for developing applications with
the GnuTLS library.

%prep
%setup -q
%patch0 -p1 -b .nosrp
for i in auth_srp_rsa.c auth_srp_sb64.c auth_srp_passwd.c auth_srp.c gnutls_srp.c ext_srp.c; do
    touch libextra/$i
done
%patch1 -p4 -b .padding
%patch2 -p1 -b .tls
%patch3 -p1 -b .no-params
%patch4 -p1 -b .sa-2008-1
%patch5 -p1 -b .decoding
%patch6 -p1 -b .reneg
%patch7 -p1 -b .tolerant
%patch8 -p1 -b .64bit

%build
%configure --with-included-opencdk --with-included-libtasn1 --with-included-libcfg --with-included-lzo --disable-srp-authentication
make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall

%check
make check

%clean
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_mandir}/man1/*
%{_datadir}/aclocal/*

%changelog
* Fri Mar 12 2010 Tomas Mraz <tmraz@redhat.com> 1.0.20-4.7
- fix crash in the gnutls-cli tool needed for testing

* Tue Mar  9 2010 Tomas Mraz <tmraz@redhat.com> 1.0.20-4.5
- fix safe renegotiation in SSL3 protocol

* Wed Mar  3 2010 Tomas Mraz <tmraz@redhat.com> 1.0.20-4.4
- implement safe renegotiation - CVE-2009-3555 (#533125)

* Fri Aug 14 2009 Tomas Mraz <tmraz@redhat.com> 1.0.20-4.3
- fix NUL characters in DN and SAN cert fields issue,
  make sure gnutls_x509_crt_check_hostname() fails when certificate
  has no CN or SAN CVE-2009-2730 (#516231)

* Tue May 20 2008 Tomas Mraz <tmraz@redhat.com> 1.0.20-4
- fix three security issues in gnutls handshake - GNUTLS-SA-2008-1
  (#447461, #447462, #447463)

* Thu Sep 14 2006 Tomas Mraz <tmraz@redhat.com> 1.0.20-3.2.3
- detect forged signatures - CVE-2006-4790 (#206411), patch
  backported from upstream

* Fri Feb 10 2006 Martin Stransky <stransky@redhat.com> 1.0.20-3.2.2
- fix for #180903 - CVE-APPLIED-FOR GnuTLS x509 DER DoS

* Thu May  5 2005 Tomas Mraz <tmraz@redhat.com> 1.0.20-3.2.1
- fixed possible DOS attack - CAN-2005-1431 (#156857)

* Fri Apr 22 2005 Tomas Mraz <tmraz@redhat.com>
- add zlib-devel and libgcrypt-devel to -devel requires

* Tue Sep 21 2004 Jeff Johnson <jbj@redhat.com> 1.0.20-3
- rebuild with release++, otherwise unchanged.

* Tue Sep  7 2004 Jeff Johnson <jbj@redhat.com> 1.0.20-2
- patent tainted SRP code removed.

* Sun Sep  5 2004 Jeff Johnson <jbj@redhat.com> 1.0.20-1
- update to 1.0.20.
- add --with-included-opencdk --with-included-libtasn1
- add --with-included-libcfg --with-included-lzo
- add --disable-srp-authentication.
- do "make check" after build.

* Fri Mar 21 2003 Jeff Johnson <jbj@redhat.com> 0.9.2-1
- upgrade to 0.9.2

* Tue Jun 25 2002 Jeff Johnson <jbj@redhat.com> 0.4.4-1
- update to 0.4.4.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat May 25 2002 Jeff Johnson <jbj@redhat.com> 0.4.3-1
- update to 0.4.3.

* Tue May 21 2002 Jeff Johnson <jbj@redhat.com> 0.4.2-1
- update to 0.4.2.
- change license to LGPL.
- include splint annotations patch.

* Tue Apr  2 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.0-1
- update to 0.4.0

* Thu Jan 17 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.2-1
- update to 0.3.2

* Wed Jan 10 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.0-1
- add a URL

* Wed Dec 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial package
